%% checkerboard grid distortion

%%

load wpts

impts = (wpts - 10.5)/50;
show_checkerboard_grid(impts,wpts);

%% pincushion distortion

rsq = impts(:,1).^2 + impts(:,2).^2;
rsq = [rsq rsq];

pts = impts.*(ones(64,2) + 1*rsq);
show_checkerboard_grid(pts,wpts);

%% barrel distortion

pts = impts.*(ones(64,2) - 1*rsq);
show_checkerboard_grid(pts,wpts);


%% example from MATLAB calibration


kc = [-0.0128 0.2156 0];
% kc = cameraParams.RadialDistortion;

r4 = rsq.*rsq;
r6 = r4.*rsq;

pts = impts.*(ones(64,2)+kc(1)*rsq+kc(2)*r4+kc(3)*r6);
show_checkerboard_grid(pts,wpts);
